Name:           gtef
Version:        2.0.1
Release:        3%{?dist}
Summary:        GTK+ Text Editor Framework

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Gtef
Source0:        https://download.gnome.org/sources/gtef/2.0/gtef-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  vala

%description
Gtef is a library that eases the development of GtkSourceView-based
text editors and IDEs. Gtef is the acronym for “GTK+ Text Editor
Framework”.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%autosetup


%build
%configure --enable-installed-tests
%make_build V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang gtef-2


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gtef-2.lang
%license COPYING
%doc AUTHORS NEWS README
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gtef-2.typelib
%{_libdir}/libgtef-2.so.0*

%files devel
%{_includedir}/gtef-2/
%{_libdir}/libgtef-2.so
%{_libdir}/pkgconfig/gtef-2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gtef-2.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gtef-2.0/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gtef-2.*

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtef-2/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtef-2/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 08 2017 Kalev Lember <klember@redhat.com> - 2.0.1-1
- Update to 2.0.1

* Tue Mar 21 2017 Kalev Lember <klember@redhat.com> - 2.0.0-1
- Initial Fedora packaging
